export default {
  methods: {
    backTrackingResolver() {
      const activeIndex = this.generation.activeModels.findIndex(item => item.generation == 1)
      // 激活状态的row初始化
      this.formatRows = this.generation.activeModels[activeIndex].models.map(item => {
        item.allowSelectTips = item.allowSelect ? '报名中' : '无法报名'
        item.subjects = this.optionalMajors.filter(college => {
          if (college.matchedGroupIds.indexOf(item.groupId) != -1) return college.majorCategoryName
        }).map(item => item.majorCategoryName)
        item.colleges = this.optionalMajors.filter(college => {
          if (college.matchedGroupIds.indexOf(item.groupId) != -1) return college.majorCategoryName
        }).map(item => {
          return {
            college: item.collegeName,
            major: item.majorCategoryName
          }
        })
        return item
      })

      return {
        applyCount:{
          label:'选科人数比'  // 初录结束的人数比
        },
        groupIndicator:{
          label:'超/缺'  // 初录的超缺
        },
        rankInIndicator:{
          label:'当前组合实时排名' // 在指标内的排名
        },
        rankInDisenroll:{
          label:'选科全校排名'
        }
      }
    }
  }
}
