export default {
  methods: {
    primaryDMResolver() {
      const activeIndex = this.generation.activeModels.findIndex(item => item.generation == 2)
      this.formatRows = this.generation.activeModels[activeIndex].models.map(item => {
        item.allowSelectTips = item.allowSelect ? '报名中' : '无法报名'
        item.subjects = this.optionalMajors.filter(college => {
          if (college.matchedGroupIds.indexOf(item.groupId) != -1) return college.majorCategoryName
        }).map(item => item.majorCategoryName)
        item.colleges = this.optionalMajors.filter(college => {
          if (college.matchedGroupIds.indexOf(item.groupId) != -1) return college.majorCategoryName
        }).map(item => {
          return {
            college: item.collegeName,
            major: item.majorCategoryName
          }
        })
        return item
      })
      this.formatRows = this.formatRows.map(item => {
        item.applyCount = `${item.actualCount}/${item.personCount}`
        return item
      })
      return {
        applyCount:{
          label:'选科人数比'
        },
        groupIndicator:{
          label:'超/缺'
        },
        rankInGroup:{
          label:'当前组合实时排名'
        },
        rankInGrade:{
          label:'选科全校排名'
        }
      }
    }
  }
}
